/*******************************************************************************
* File Name: WRISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_WRISR_H)
#define CY_ISR_WRISR_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void WRISR_Start(void);
void WRISR_StartEx(cyisraddress address);
void WRISR_Stop(void);

CY_ISR_PROTO(WRISR_Interrupt);

void WRISR_SetVector(cyisraddress address);
cyisraddress WRISR_GetVector(void);

void WRISR_SetPriority(uint8 priority);
uint8 WRISR_GetPriority(void);

void WRISR_Enable(void);
uint8 WRISR_GetState(void);
void WRISR_Disable(void);

void WRISR_SetPending(void);
void WRISR_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the WRISR ISR. */
#define WRISR_INTC_VECTOR            ((reg32 *) WRISR__INTC_VECT)

/* Address of the WRISR ISR priority. */
#define WRISR_INTC_PRIOR             ((reg8 *) WRISR__INTC_PRIOR_REG)

/* Priority of the WRISR interrupt. */
#define WRISR_INTC_PRIOR_NUMBER      WRISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable WRISR interrupt. */
#define WRISR_INTC_SET_EN            ((reg32 *) WRISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the WRISR interrupt. */
#define WRISR_INTC_CLR_EN            ((reg32 *) WRISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the WRISR interrupt state to pending. */
#define WRISR_INTC_SET_PD            ((reg32 *) WRISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the WRISR interrupt. */
#define WRISR_INTC_CLR_PD            ((reg32 *) WRISR__INTC_CLR_PD_REG)


#endif /* CY_ISR_WRISR_H */


/* [] END OF FILE */
